Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -3248,5 +3037,5 @@
 !--       Calculate the number of current sections
           ns = 1
-          DO WHILE ( section(ns,1) /= -9999  .AND.  ns <= 100 )
+          DO  WHILE ( section(ns,1) /= -9999  .AND.  ns <= 100 )
              ns = ns + 1
           ENDDO
@@ -3258,19 +3047,17 @@
           CALL netcdf_handle_error( 'netcdf_define_header', 130 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_xy(av), id_var_zu_xy(av), &
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_xy(av), id_var_zu_xy(av),                        &
                                            dimids = id_dim_zu_xy_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 131 )
           id_dim_zu_xy(av) = id_dim_zu_xy_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_xy(av), id_dim_zu_xy(av), &
-                                            len = ns_old )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_xy(av), id_dim_zu_xy(av), LEN = ns_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 132 )
 
           IF ( ns /= ns_old )  THEN
-             message_string = 'netCDF file for cross-sections ' //          &
-                              TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended due to' // &
-                              ' mismatch in number of' //                   &
-                              ' cross sections.' //                         &
+             message_string = 'netCDF file for cross-sections ' //                                 &
+                              TRIM( var ) // ' from previous run found,' //                        &
+                              '&but this file cannot be extended due to' //                        &
+                              ' mismatch in number of' // ' cross sections.' //                    &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0250', 0, 1, 0, 6, 0 )
@@ -3289,12 +3076,10 @@
              IF ( section(i,1) /= -1 )  THEN
                 IF ( zu(section(i,1)) /= netcdf_data(i) )  THEN
-                   message_string = 'netCDF file for cross-sections ' //       &
-                               TRIM( var ) // ' from previous run found,' //   &
-                               ' but this file cannot be extended' //          &
-                               ' due to mismatch in cross' //                  &
-                               ' section levels.' //                           &
-                               ' New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251',             &
-                                                                 0, 1, 0, 6, 0 )
+                   message_string = 'netCDF file for cross-sections ' //                           &
+                                     TRIM( var ) // ' from previous run found,' //                 &
+                                     ' but this file cannot be extended' //                        &
+                                     ' due to mismatch in cross' // ' section levels.' //          &
+                                     ' New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251', 0, 1, 0, 6, 0 )
                    extend = .FALSE.
                    RETURN
@@ -3302,12 +3087,10 @@
              ELSE
                 IF ( -1.0_wp /= netcdf_data(i) )  THEN
-                   message_string = 'netCDF file for cross-sections ' //       &
-                               TRIM( var ) // ' from previous run found,' //   &
-                               ' but this file cannot be extended' //          &
-                               ' due to mismatch in cross' //                  &
-                               ' section levels.' //                           &
-                               ' New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251',             &
-                                                                 0, 1, 0, 6, 0 )
+                   message_string = 'netCDF file for cross-sections ' //                           &
+                                     TRIM( var ) // ' from previous run found,' //                 &
+                                     ' but this file cannot be extended' //                        &
+                                     ' due to mismatch in cross' // ' section levels.' //          &
+                                     ' New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251', 0, 1, 0, 6, 0 )
                    extend = .FALSE.
                    RETURN
@@ -3319,40 +3102,36 @@
 
 !
-!--       Get the id of the time coordinate (unlimited coordinate) and its
-!--       last index on the file. The next time level is do2d..count+1.
-!--       The current time must be larger than the last output time
-!--       on the file.
+!--       Get the id of the time coordinate (unlimited coordinate) and its last index on the file.
+!--       The next time level is do2d..count+1.
+!--       The current time must be larger than the last output time on the file.
           nc_stat = NF90_INQ_VARID( id_set_xy(av), 'time', id_var_time_xy(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 134 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_xy(av), id_var_time_xy(av), &
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_xy(av), id_var_time_xy(av),                      &
                                            dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 135 )
           id_dim_time_xy(av) = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_xy(av), id_dim_time_xy(av), &
-                                            len = ntime_count )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_xy(av), id_dim_time_xy(av), LEN = ntime_count )
           CALL netcdf_handle_error( 'netcdf_define_header', 136 )
 
 !
-!--       For non-parallel output use the last output time level of the netcdf
-!--       file because the time dimension is unlimited. In case of parallel
-!--       output the variable ntime_count could get the value of 9*10E36 because
-!--       the time dimension is limited.
+!--       For non-parallel output use the last output time level of the netcdf file because the time
+!--       dimension is unlimited. In case of parallel output the variable ntime_count could get the
+!--       value of 9*10E36 because the time dimension is limited.
           IF ( netcdf_data_format < 5 ) do2d_xy_time_count(av) = ntime_count
 
-          nc_stat = NF90_GET_VAR( id_set_xy(av), id_var_time_xy(av),           &
-                                  last_time_coordinate,                        &
-                                  start = (/ do2d_xy_time_count(av) /),        &
+          nc_stat = NF90_GET_VAR( id_set_xy(av), id_var_time_xy(av),                               &
+                                  last_time_coordinate,                                            &
+                                  start = (/ do2d_xy_time_count(av) /),                            &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 137 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for cross sections ' //             &
-                              TRIM( var ) // ' from previous run found,' //    &
-                              '&but this file cannot be extended becaus' //    &
-                              'e the current output time' //                   &
-                              '&is less or equal than the last output t' //    &
-                              'ime on this file.' //                           &
+             message_string = 'netCDF file for cross sections ' //                                 &
+                              TRIM( var ) // ' from previous run found,' //                        &
+                              '&but this file cannot be extended because' //                       &
+                              ' the current output time' //                                        &
+                              '&is less or equal than the last output time' // ' on this file.' // &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0252', 0, 1, 0, 6, 0 )
@@ -3364,14 +3143,13 @@
           IF ( netcdf_data_format > 4 )  THEN
 !
-!--          Check if the needed number of output time levels is increased
-!--          compared to the number of time levels in the existing file.
+!--          Check if the needed number of output time levels is increased compared to the number of
+!--          time levels in the existing file.
              IF ( ntdim_2d_xy(av) > ntime_count )  THEN
-                message_string = 'netCDF file for cross sections ' //          &
-                                 TRIM( var ) // ' from previous run found,' // &
-                                 '&but this file cannot be extended becaus' // &
-                                 'e the number of output time levels has b' // &
-                                 'een increased compared to the previous s' // &
-                                 'imulation.' //                               &
-                                 '&New file is created instead.'
+                message_string = 'netCDF file for cross sections ' //                              &
+                                 TRIM( var ) // ' from previous run found,' //                     &
+                                 '&but this file cannot be extended becaus' //                     &
+                                 'e the number of output time levels has b' //                     &
+                                 'een increased compared to the previous s' //                     &
+                                 'imulation.' // '&New file is created instead.'
                 CALL message( 'define_netcdf_header', 'PA0389', 0, 1, 0, 6, 0 )
                 do2d_xy_time_count(av) = 0
@@ -3380,14 +3158,12 @@
 !--             Recalculate the needed time levels for the new file.
                 IF ( av == 0 )  THEN
-                   ntdim_2d_xy(0) = CEILING(                            &
-                           ( end_time - MAX( skip_time_do2d_xy,         &
-                                             simulated_time_at_begin )  &
-                           ) / dt_do2d_xy )
+                   ntdim_2d_xy(0) = CEILING( ( end_time - MAX( skip_time_do2d_xy,                  &
+                                                               simulated_time_at_begin )           &
+                                             ) / dt_do2d_xy )
                    IF ( do2d_at_begin )  ntdim_2d_xy(0) = ntdim_2d_xy(0) + 1
                 ELSE
-                   ntdim_2d_xy(1) = CEILING(                            &
-                           ( end_time - MAX( skip_time_data_output_av,  &
-                                             simulated_time_at_begin )  &
-                           ) / dt_data_output_av )
+                   ntdim_2d_xy(1) = CEILING( ( end_time - MAX( skip_time_data_output_av,           &
+                                                               simulated_time_at_begin )           &
+                                             ) / dt_data_output_av )
                 ENDIF
                 RETURN
@@ -3399,8 +3175,7 @@
 !--       Now get the variable ids.
           i = 1
-          DO WHILE ( do2d(av,i)(1:1) /= ' ' )
+          DO  WHILE ( do2d(av,i)(1:1) /= ' ' )
              IF ( INDEX( do2d(av,i), 'xy' ) /= 0 )  THEN
-                nc_stat = NF90_INQ_VARID( id_set_xy(av), do2d(av,i), &
-                                          id_var_do2d(av,i) )
+                nc_stat = NF90_INQ_VARID( id_set_xy(av), do2d(av,i), id_var_do2d(av,i) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 138 )
 #if defined( __netcdf4_parallel )
@@ -3408,6 +3183,5 @@
 !--             Set collective io operations for parallel io
                 IF ( netcdf_data_format > 4 )  THEN
-                   nc_stat = NF90_VAR_PAR_ACCESS( id_set_xy(av),     &
-                                                  id_var_do2d(av,i), &
+                   nc_stat = NF90_VAR_PAR_ACCESS( id_set_xy(av), id_var_do2d(av,i),                &
                                                   NF90_COLLECTIVE )
                    CALL netcdf_handle_error( 'netcdf_define_header', 454 )
@@ -3419,26 +3193,23 @@
 
 !
-!--       Update the title attribute on file
-!--       In order to avoid 'data mode' errors if updated attributes are larger
-!--       than their original size, NF90_PUT_ATT is called in 'define mode'
-!--       enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a possible
-!--       performance loss due to data copying; an alternative strategy would be
-!--       to ensure equal attribute size in a job chain. Maybe revise later.
+!--       Update the title attribute on file.
+!--       In order to avoid 'data mode' errors if updated attributes are larger than their original
+!--       size, NF90_PUT_ATT is called in 'define mode' enclosed by NF90_REDEF and NF90_ENDDEF
+!--       calls. This implies a possible performance loss due to data copying; an alternative
+!--       strategy would be to ensure equal attribute size in a job chain. Maybe revise later.
           IF ( av == 0 )  THEN
              time_average_text = ' '
           ELSE
-             WRITE (time_average_text, '('', '',F7.1,'' s average'')') &
-                                                            averaging_interval
+             WRITE ( time_average_text, '('', '',F7.1,'' s average'')' ) averaging_interval
           ENDIF
           nc_stat = NF90_REDEF( id_set_xy(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 431 )
-          nc_stat = NF90_PUT_ATT( id_set_xy(av), NF90_GLOBAL, 'title',         &
-                                  TRIM( run_description_header ) //            &
-                                  TRIM( time_average_text ) )
+          nc_stat = NF90_PUT_ATT( id_set_xy(av), NF90_GLOBAL, 'title',                             &
+                                  TRIM( run_description_header ) // TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 139 )
           nc_stat = NF90_ENDDEF( id_set_xy(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 432 )
-          message_string = 'netCDF file for cross-sections ' //                &
-                            TRIM( var ) // ' from previous run found.' //      &
+          message_string = 'netCDF file for cross-sections ' //                                    &
+                            TRIM( var ) // ' from previous run found.' //                          &
                            '&This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0253', 0, 0, 0, 6, 0 )
@@ -3450,10 +3221,12 @@
 !--       Define some global attributes of the dataset
           IF ( av == 0 )  THEN
-             CALL netcdf_create_global_atts( id_set_xz(av), 'xz', TRIM( run_description_header ), 140 )
+             CALL netcdf_create_global_atts( id_set_xz(av), 'xz', TRIM( run_description_header ),  &
+                                             140 )
              time_average_text = ' '
           ELSE
-             CALL netcdf_create_global_atts( id_set_xz(av), 'xz_av', TRIM( run_description_header ), 140 )
+             CALL netcdf_create_global_atts( id_set_xz(av), 'xz_av',                               &
+                                             TRIM( run_description_header ), 140 )
              WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval
-             nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'time_avg',   &
+             nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'time_avg',                       &
                                      TRIM( time_average_text ) )
              CALL netcdf_handle_error( 'netcdf_define_header', 141 )
@@ -3462,17 +3235,16 @@
 !
 !--       Define time coordinate for xz sections.
-!--       For parallel output the time dimensions has to be limited, otherwise
-!--       the performance drops significantly.
+!--       For parallel output the time dimensions has to be limited, otherwise the performance drops
+!--       significantly.
           IF ( netcdf_data_format < 5 )  THEN
-             CALL netcdf_create_dim( id_set_xz(av), 'time', NF90_UNLIMITED,    &
-                                     id_dim_time_xz(av), 142 )
+             CALL netcdf_create_dim( id_set_xz(av), 'time', NF90_UNLIMITED, id_dim_time_xz(av),    &
+                                     142 )
           ELSE
-             CALL netcdf_create_dim( id_set_xz(av), 'time', ntdim_2d_xz(av),   &
-                                     id_dim_time_xz(av), 525 )
-          ENDIF
-
-          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_time_xz(av) /),     &
-                                  'time', NF90_DOUBLE, id_var_time_xz(av),     &
-                                  'seconds', 'time', 143, 144, 000 )
+             CALL netcdf_create_dim( id_set_xz(av), 'time', ntdim_2d_xz(av), id_dim_time_xz(av),   &
+                                     525 )
+          ENDIF
+
+          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_time_xz(av) /), 'time', NF90_DOUBLE,    &
+                                  id_var_time_xz(av), 'seconds', 'time', 143, 144, 000 )
           CALL netcdf_create_att( id_set_xz(av), id_var_time_xz(av), 'standard_name', 'time', 000)
           CALL netcdf_create_att( id_set_xz(av), id_var_time_xz(av), 'axis', 'T', 000)
@@ -3492,70 +3264,49 @@
 !
 !--       Define y-axis (for scalar position)
-          CALL netcdf_create_dim( id_set_xz(av), 'y_xz', ns, id_dim_y_xz(av),  &
-                                  145 )
-          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_y_xz(av) /),        &
-                                  'y_xz', NF90_DOUBLE, id_var_y_xz(av),        &
-                                  'meters', '', 146, 147, 000 )
-          CALL netcdf_create_att( id_set_xz(av), id_var_y_xz(av), 'axis',      &
-                                  'Y', 000)
+          CALL netcdf_create_dim( id_set_xz(av), 'y_xz', ns, id_dim_y_xz(av), 145 )
+          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_y_xz(av) /), 'y_xz', NF90_DOUBLE,       &
+                                 id_var_y_xz(av), 'meters', '', 146, 147, 000 )
+          CALL netcdf_create_att( id_set_xz(av), id_var_y_xz(av), 'axis', 'Y', 000)
 !
 !--       Define y-axis (for v position)
-          CALL netcdf_create_dim( id_set_xz(av), 'yv_xz', ns,                  &
-                                  id_dim_yv_xz(av), 369 )
-          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_yv_xz(av) /),       &
-                                  'yv_xz', NF90_DOUBLE, id_var_yv_xz(av),      &
-                                  'meters', '', 370, 371, 000 )
-          CALL netcdf_create_att( id_set_xz(av), id_var_yv_xz(av), 'axis',     &
-                                  'Y', 000)
-!
-!--       Define a variable to store the layer indices of the vertical cross
-!--       sections
-          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_y_xz(av) /),        &
-                                  'ind_y_xz', NF90_DOUBLE,                     &
-                                  id_var_ind_y_xz(av), 'gridpoints', '', 148,  &
-                                  149, 000 )
+          CALL netcdf_create_dim( id_set_xz(av), 'yv_xz', ns, id_dim_yv_xz(av), 369 )
+          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_yv_xz(av) /), 'yv_xz', NF90_DOUBLE,     &
+                                  id_var_yv_xz(av), 'meters', '', 370, 371, 000 )
+          CALL netcdf_create_att( id_set_xz(av), id_var_yv_xz(av), 'axis', 'Y', 000)
+!
+!--       Define a variable to store the layer indices of the vertical cross sections
+          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_y_xz(av) /), 'ind_y_xz', NF90_DOUBLE,   &
+                                  id_var_ind_y_xz(av), 'gridpoints', '', 148, 149, 000 )
 !
 !--       Define x-axis (for scalar position)
-          CALL netcdf_create_dim( id_set_xz(av), 'x', nx+1, id_dim_x_xz(av),   &
-                                  150 )
-          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_x_xz(av) /), 'x',   &
-                                  NF90_DOUBLE, id_var_x_xz(av), 'meters', '',  &
-                                  151, 152, 000 )
-          CALL netcdf_create_att( id_set_xz(av), id_var_x_xz(av), 'axis',      &
-                                  'X', 000)
+          CALL netcdf_create_dim( id_set_xz(av), 'x', nx+1, id_dim_x_xz(av), 150 )
+          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_x_xz(av) /), 'x', NF90_DOUBLE,          &
+                                  id_var_x_xz(av), 'meters', '', 151, 152, 000 )
+          CALL netcdf_create_att( id_set_xz(av), id_var_x_xz(av), 'axis', 'X', 000)
 !
 !--       Define x-axis (for u position)
-          CALL netcdf_create_dim( id_set_xz(av), 'xu', nx+1, id_dim_xu_xz(av), &
-                                  372 )
-          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_xu_xz(av) /), 'xu', &
-                                  NF90_DOUBLE, id_var_xu_xz(av), 'meters', '', &
-                                  373, 374, 000 )
-          CALL netcdf_create_att( id_set_xz(av), id_var_xu_xz(av), 'axis',     &
-                                  'X', 000)
-                                  
+          CALL netcdf_create_dim( id_set_xz(av), 'xu', nx+1, id_dim_xu_xz(av), 372 )
+          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_xu_xz(av) /), 'xu', NF90_DOUBLE,        &
+                                  id_var_xu_xz(av), 'meters', '', 373, 374, 000 )
+          CALL netcdf_create_att( id_set_xz(av), id_var_xu_xz(av), 'axis', 'X', 000)
+
 !
 !--       Define the three z-axes (zu, zw, and zs)
-          CALL netcdf_create_dim( id_set_xz(av), 'zu', nz+2, id_dim_zu_xz(av), &
-                                  153 )
-          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_zu_xz(av) /), 'zu', &
-                                  NF90_DOUBLE, id_var_zu_xz(av), 'meters', '', &
-                                  154, 155, 000 )
-          CALL netcdf_create_att( id_set_xz(av), id_var_zu_xz(av), 'axis',     &
-                                  'Z', 000)
-                                  
-          CALL netcdf_create_dim( id_set_xz(av), 'zw', nz+2, id_dim_zw_xz(av), &
-                                  156 )
-          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_zw_xz(av) /), 'zw', &
-                                  NF90_DOUBLE, id_var_zw_xz(av), 'meters', '', &
-                                  157, 158, 000 )
-          CALL netcdf_create_att( id_set_xz(av), id_var_zw_xz(av), 'axis',     &
-                                  'Z', 000)
+          CALL netcdf_create_dim( id_set_xz(av), 'zu', nz+2, id_dim_zu_xz(av), 153 )
+          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_zu_xz(av) /), 'zu', NF90_DOUBLE,        &
+                                  id_var_zu_xz(av), 'meters', '', 154, 155, 000 )
+          CALL netcdf_create_att( id_set_xz(av), id_var_zu_xz(av), 'axis', 'Z', 000)
+
+          CALL netcdf_create_dim( id_set_xz(av), 'zw', nz+2, id_dim_zw_xz(av), 156 )
+          CALL netcdf_create_var( id_set_xz(av), (/ id_dim_zw_xz(av) /), 'zw', NF90_DOUBLE,        &
+                                  id_var_zw_xz(av), 'meters', '', 157, 158, 000 )
+          CALL netcdf_create_att( id_set_xz(av), id_var_zw_xz(av), 'axis', 'Z', 000)
 !
 !--       Define UTM and geographic coordinates
-          CALL define_geo_coordinates( id_set_xz(av),         &
-                  (/ id_dim_x_xz(av), id_dim_xu_xz(av) /),    &
-                  (/ id_dim_y_xz(av), id_dim_yv_xz(av) /),    &
-                  id_var_eutm_xz(:,av), id_var_nutm_xz(:,av), &
-                  id_var_lat_xz(:,av), id_var_lon_xz(:,av)    )
+          CALL define_geo_coordinates( id_set_xz(av),                                              &
+                                       (/ id_dim_x_xz(av), id_dim_xu_xz(av) /),                    &
+                                       (/ id_dim_y_xz(av), id_dim_yv_xz(av) /),                    &
+                                       id_var_eutm_xz(:,av), id_var_nutm_xz(:,av),                 &
+                                       id_var_lat_xz(:,av), id_var_lon_xz(:,av)    )
 !
 !--       Define coordinate-reference system
@@ -3564,11 +3315,8 @@
           IF ( land_surface )  THEN
 
-             CALL netcdf_create_dim( id_set_xz(av), 'zs', nzs,                 &
-                                     id_dim_zs_xz(av), 542 )
-             CALL netcdf_create_var( id_set_xz(av), (/ id_dim_zs_xz(av) /),    &
-                                     'zs', NF90_DOUBLE, id_var_zs_xz(av),      &
-                                     'meters', '', 543, 544, 000 )
-             CALL netcdf_create_att( id_set_xz(av), id_var_zs_xz(av), 'axis',  &
-                                     'Z', 000)
+             CALL netcdf_create_dim( id_set_xz(av), 'zs', nzs, id_dim_zs_xz(av), 542 )
+             CALL netcdf_create_var( id_set_xz(av), (/ id_dim_zs_xz(av) /), 'zs', NF90_DOUBLE,     &
+                                     id_var_zs_xz(av), 'meters', '', 543, 544, 000 )
+             CALL netcdf_create_att( id_set_xz(av), id_var_zs_xz(av), 'axis', 'Z', 000)
 
           ENDIF
@@ -3625,11 +3373,9 @@
 !--                   Check for land surface quantities
                       IF ( land_surface )  THEN
-                         CALL lsm_define_netcdf_grid( do2d(av,i), found,       &
-                                                      grid_x, grid_y, grid_z )
+                         CALL lsm_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 
                       IF ( .NOT. found )  THEN
-                         CALL tcm_define_netcdf_grid( do2d(av,i), found,       &
-                                                      grid_x, grid_y, grid_z )
+                         CALL tcm_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 
@@ -3637,12 +3383,10 @@
 !--                   Check for ocean quantities
                       IF ( .NOT. found  .AND.  ocean_mode )  THEN
-                         CALL ocean_define_netcdf_grid( do2d(av,i), found,  &
-                                                        grid_x, grid_y, grid_z )
+                         CALL ocean_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 !
 !--                   Check for radiation quantities
                       IF ( .NOT. found  .AND.  radiation )  THEN
-                         CALL radiation_define_netcdf_grid( do2d(av,i), found, &
-                                                            grid_x, grid_y,    &
+                         CALL radiation_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y,     &
                                                             grid_z )
                       ENDIF
@@ -3650,6 +3394,5 @@
 !--                   Check for SALSA quantities
                       IF ( .NOT. found  .AND.  salsa )  THEN
-                         CALL salsa_define_netcdf_grid( do2d(av,i), found,     &
-                                                        grid_x, grid_y, grid_z )
+                         CALL salsa_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 
@@ -3657,6 +3400,5 @@
 !--                   Check for gust module quantities
                       IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
-                         CALL gust_define_netcdf_grid( do2d(av,i), found,      &
-                                                       grid_x, grid_y, grid_z )
+                         CALL gust_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 
@@ -3664,25 +3406,20 @@
 !--                   Check for chemistry quantities
                       IF ( .NOT. found  .AND.  air_chemistry )  THEN
-                         CALL chem_define_netcdf_grid( do2d(av,i), found,      &
-                                                       grid_x, grid_y,         &
-                                                       grid_z )
+                         CALL chem_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 
-                      IF ( .NOT. found )                                       &
-                         CALL doq_define_netcdf_grid( do2d(av,i), found,       &
-                                                      grid_x, grid_y, grid_z )
+                      IF ( .NOT. found )                                                           &
+                         CALL doq_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
 
 !
 !--                   Check for user-defined quantities
                       IF ( .NOT. found  .AND.  user_module_enabled )  THEN
-                         CALL user_define_netcdf_grid( do2d(av,i), found,      &
-                                                       grid_x, grid_y, grid_z )
+                         CALL user_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 
                       IF ( .NOT. found )  THEN
-                         WRITE ( message_string, * ) 'no grid defined for',    &
-                                                ' variable ', TRIM( do2d(av,i) )
-                         CALL message( 'define_netcdf_header', 'PA0244',       &
-                                       0, 1, 0, 6, 0 )
+                         WRITE ( message_string, * ) 'no grid defined for', ' variable ',          &
+                                                     TRIM( do2d(av,i) )
+                         CALL message( 'define_netcdf_header', 'PA0244', 0, 1, 0, 6, 0 )
                       ENDIF
 
@@ -3713,9 +3450,7 @@
 !
 !--             Define the grid
-                CALL netcdf_create_var( id_set_xz(av), (/ id_x, id_y, id_z,    &
-                                        id_dim_time_xz(av) /), do2d(av,i),     &
-                                        nc_precision(2), id_var_do2d(av,i),    &
-                                        TRIM( do2d_unit(av,i) ), do2d(av,i),   &
-                                        159, 160, 355, .TRUE. )
+                CALL netcdf_create_var( id_set_xz(av), (/ id_x, id_y, id_z, id_dim_time_xz(av) /), &
+                                        do2d(av,i), nc_precision(2), id_var_do2d(av,i),            &
+                                        TRIM( do2d_unit(av,i) ), do2d(av,i), 159, 160, 355, .TRUE. )
 
 #if defined( __netcdf4_parallel )
